#include <gkrellm/gkrellm.h>

typedef struct userPanelElement userPanelElement;
struct userPanelElement
{
	// Pointer to next element of list
	userPanelElement* next;
	gint position;
	// Screen data
	Panel* panel;
	Decal* text;
	// 
	gchar* user;
	gchar* device;
	gint status;
};

typedef struct
{
	// Pointer to first element of list
	userPanelElement* first;
	// Pointer to current element
	userPanelElement* current;
} userPanelList;

userPanelList* create_userpanel_list(void);
void destroy_userpanel_list(userPanelList* userlist);
userPanelElement* create_userpanel(void);
void destroy_userpanel(userPanelElement* userpanel);
userPanelElement* get_first_userpanel(userPanelList* userlist);
userPanelElement* get_current_userpanel(userPanelList* userlist);
userPanelElement* get_next_userpanel(userPanelList* userlist);
void first_userpanel(userPanelList* userlist);
void next_userpanel(userPanelList* userlist);

void set_userpanel_user(userPanelElement* panel, gchar* new_user);
void set_userpanel_device(userPanelElement* panel, gchar* new_device);
void set_userpanel_status(userPanelElement* panel, gint status);
void update_userpanel(userPanelElement* panel);

